package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 11:30
 * @ClassName StorePointTempHumListVO
 * @Remark
 */
public class StorePointTempHumListVO {

    /**
     * 仓库名称
     */
    private String storeName;
    /**
     * 仓库编码
     */
    private String storeCode;
    /**
     * 区位名称
     */
    private String freezerName;
    /**
     * 区位编码
     */
    private String freezerCode;
    /**
     * 监测点名字
     */
    private String pointName;
    /**
     * 温湿度集合
     */
    private List<ApiEquipTempHumVO> tempHumList;

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getFreezerName() {
        return freezerName;
    }

    public void setFreezerName(String freezerName) {
        this.freezerName = freezerName;
    }

    public String getFreezerCode() {
        return freezerCode;
    }

    public void setFreezerCode(String freezerCode) {
        this.freezerCode = freezerCode;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public List<ApiEquipTempHumVO> getTempHumList() {
        return tempHumList;
    }

    public void setTempHumList(List<ApiEquipTempHumVO> tempHumList) {
        this.tempHumList = tempHumList;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("storeName", storeName)
                .add("storeCode", storeCode)
                .add("freezerName", freezerName)
                .add("freezerCode", freezerCode)
                .add("pointName", pointName)
                .add("tempHumList", tempHumList)
                .toString();
    }
}
